org.eclipse.emf.facet.util.core

## Class Logger

- java.lang.Object
- - org.eclipse.emf.facet.util.core.Logger

    public final class Logger
    extends java.lang.Object

Helper for logging using Eclipse API

Author:
  fgiquel

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `log(java.lang.Throwable e, int level, Plugin plugin, java.lang.String messageTemplate, java.lang.Object... args)`
`static void` `log(java.lang.Throwable e, int level, java.lang.String message, Plugin plugin)`
`static void` `logError(Plugin plugin, java.lang.String messageTemplate, java.lang.Object... args)`
`static void` `logError(java.lang.String message, Plugin plugin)`
`static void` `logError(java.lang.Throwable e, Plugin plugin)`
`static void` `logError(java.lang.Throwable e, Plugin plugin, java.lang.String messageTemplate, java.lang.Object... args)`
`static void` `logError(java.lang.Throwable e, java.lang.String message, Plugin plugin)`
`static void` `logInfo(Plugin plugin, java.lang.String messageTemplace, java.lang.Object... args)`
`static void` `logInfo(java.lang.String message, Plugin plugin)`
`static void` `logInfo(java.lang.Throwable e, Plugin plugin)`
`static void` `logWarning(Plugin plugin, java.lang.String messageTemplace, java.lang.Object... args)`
`static void` `logWarning(java.lang.String message, Plugin plugin)`
`static void` `logWarning(java.lang.Throwable e, Plugin plugin)`
`static void` `logWarning(java.lang.Throwable e, Plugin plugin, java.lang.String messageTemplace, java.lang.Object... args)`
`static void` `logWarning(java.lang.Throwable e, java.lang.String message, Plugin plugin)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### logError

    public static void logError(java.lang.Throwable e,
                                Plugin plugin)

#### logError

    public static void logError(java.lang.String message,
                                Plugin plugin)

#### logError

    public static void logError(java.lang.Throwable e,
                                java.lang.String message,
                                Plugin plugin)

#### logWarning

    public static void logWarning(java.lang.Throwable e,
                                  Plugin plugin)

#### logWarning

    public static void logWarning(java.lang.String message,
                                  Plugin plugin)

#### logWarning

    public static void logWarning(java.lang.Throwable e,
                                  java.lang.String message,
                                  Plugin plugin)

#### logInfo

    public static void logInfo(java.lang.Throwable e,
                               Plugin plugin)

#### logInfo

    public static void logInfo(java.lang.String message,
                               Plugin plugin)

#### logError

    public static void logError(Plugin plugin,
                                java.lang.String messageTemplate,
                                java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### logError

    public static void logError(java.lang.Throwable e,
                                Plugin plugin,
                                java.lang.String messageTemplate,
                                java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### logWarning

    public static void logWarning(Plugin plugin,
                                  java.lang.String messageTemplace,
                                  java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### logWarning

    public static void logWarning(java.lang.Throwable e,
                                  Plugin plugin,
                                  java.lang.String messageTemplace,
                                  java.lang.Object... args)

Since:
  1.1

#### logInfo

    public static void logInfo(Plugin plugin,
                               java.lang.String messageTemplace,
                               java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### log

    public static void log(java.lang.Throwable e,
                           int level,
                           Plugin plugin,
                           java.lang.String messageTemplate,
                           java.lang.Object... args)

Parameters:
  `messageTemplate` - A format string (cf. java.util.Formatter)
  `args` - Arguments referenced by messageTemplates
Since:
  1.1

#### log

    public static void log(java.lang.Throwable e,
                           int level,
                           java.lang.String message,
                           Plugin plugin)